/***
	Copyright (c) 2008 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.dialer;

import android.app.Activity;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.IServiceManager;
import android.os.ServiceManagerNative;
import android.telephony.IPhone;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class DialerDemo extends Activity {
	IPhone phone=null;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.main);
	
		IServiceManager svcMgr=ServiceManagerNative.getDefault();
	
		try {
			phone=IPhone.Stub.asInterface(svcMgr.getService("phone"));
		}
		catch (DeadObjectException e) {
			android.util.Log.e("DialerDemo", "Error in dial()", e);
			Toast.makeText(DialerDemo.this, e.toString(), 2000).show();
			finish();
		}
	
		final EditText number=(EditText)findViewById(R.id.number);
		Button dial=(Button)findViewById(R.id.dial);
	
		dial.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				try {
					if (phone!=null) {
						phone.dial(number.getText().toString());
					}
				}
				catch (DeadObjectException e) {
					android.util.Log.e("DialerDemo", "Error in dial()", e);
					Toast.makeText(DialerDemo.this, e.toString(), 2000).show();
				}
			}
		});
	
		Button call=(Button)findViewById(R.id.call);
		
		call.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				try {
					if (phone!=null) {
						phone.call(number.getText().toString());
					}
				}
				catch (DeadObjectException e) {
					android.util.Log.e("DialerDemo", "Error in dial()", e);
					Toast.makeText(DialerDemo.this, e.toString(), 2000).show();
				}
			}
		});
	}
}